import { createBrowserRouter, RouterProvider } from 'react-router-dom';
import { Notifications } from './components/Notifications';
import { Home } from './pages/Home';
import { MainLayout } from './pages/MainLayout';

const routes = createBrowserRouter([
  { path: '/', element: <MainLayout />, children: [{ index: true, element: <Home /> }] },
]);

export function App() {
  return (
    <Notifications>
      <title>Color Lab</title>
      <RouterProvider router={routes}></RouterProvider>
    </Notifications>
  );
}
